Bug 798255 - graphics generated using gd contain errors
Summary: graphics generated using gd contain errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gd
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 790400
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-28 12:50 UTC by Honza Horak
Modified: 2012-10-31 10:38 UTC (History)
4 users (show)

Fixed In Version: gd-2.0.35-14.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of: 790400
: 830220 (view as bug list)
Environment:
Last Closed: 2012-03-08 06:03:07 UTC
Type: ---


Attachments (Terms of Use)

Description Honza Horak 2012-02-28 12:50:57 UTC
+++ This bug was initially created as a clone of Bug #790400 +++

Created attachment 561900 [details]
gnuplot commands to reproduce

Description of problem:
  graphics generated using libgd contain errors

Version-Release number of selected component (if applicable):
  gd-2.0.35-10.el6.x86_64

How reproducible:
  always

Steps to Reproduce:
1. run 'gnuplot reproducer.gnuplot'
2. inspect generated 'reproducer.jpeg'

Actual results:
  reproducer.jpeg contains a block/error in the middle

Expected results:
  reproducer.jpeg should not contain a block/error in the middle

Additional info:
- removing the last 14 lines from gd-2.0.35-AALineThick.patch makes the problem disappear

--- Additional comment from chorn@redhat.com on 2012-02-14 07:45:52 EST ---

Created attachment 561901 [details]
example output from reproducer

--- Additional comment from hhorak@redhat.com on 2012-02-14 09:35:32 EST ---

Can you also attach dat..dat3 files, please?
$ gnuplot reproducer.gnuplot 
"reproducer.gnuplot", line 15: warning: Skipping unreadable file "dat"
"reproducer.gnuplot", line 15: warning: Skipping unreadable file "dat"
"reproducer.gnuplot", line 15: warning: Skipping unreadable file "dat"
"reproducer.gnuplot", line 15: warning: Skipping unreadable file "dat2"
"reproducer.gnuplot", line 15: warning: Skipping unreadable file "dat4"
"reproducer.gnuplot", line 15: warning: Skipping unreadable file "dat3"
"reproducer.gnuplot", line 15: No data in plot

--- Additional comment from chorn@redhat.com on 2012-02-14 09:39:15 EST ---

Created attachment 561916 [details]
reproducer datafile

--- Additional comment from chorn@redhat.com on 2012-02-14 09:40:00 EST ---

Created attachment 561917 [details]
reproducer datafile

--- Additional comment from chorn@redhat.com on 2012-02-14 09:40:23 EST ---

Created attachment 561918 [details]
reproducer datafile

--- Additional comment from chorn@redhat.com on 2012-02-14 09:40:47 EST ---

Created attachment 561919 [details]
reproducer datafile

--- Additional comment from hhorak@redhat.com on 2012-02-28 07:46:20 EST ---

Created attachment 566299 [details]
little reproducer

There is a problem when we draw gdAntiAliased line, which has a negative 'dy', i.e. coordinates y1 > y2. It can be reproduced with a reproducer attached:
$ gcc -o reproducer790400 reproducer790400.c -lgd
$ ./reproducer790400 >reproducer790400.png

Actual results:
reproducer790400.png contains a black box

Expected results:
reproducer790400.png contains almost vertical line

--- Additional comment from hhorak@redhat.com on 2012-02-28 07:49:00 EST ---

Created attachment 566300 [details]
fixed patch gd-2.0.35-AALineThick.patch

It is a bug in our patch, so the attached file is a fixed version of already applied gd-2.0.35-AALineThick.patch.

Comment 1 Fedora Update System 2012-02-28 13:21:56 UTC
gd-2.0.35-16.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gd-2.0.35-16.fc17

Comment 2 Fedora Update System 2012-02-28 13:26:28 UTC
gd-2.0.35-14.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gd-2.0.35-14.fc16

Comment 3 Fedora Update System 2012-02-28 13:33:05 UTC
gd-2.0.35-14.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gd-2.0.35-14.fc15

Comment 4 Fedora Update System 2012-02-28 20:41:40 UTC
Package gd-2.0.35-16.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gd-2.0.35-16.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2630/gd-2.0.35-16.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-03-08 06:03:07 UTC
gd-2.0.35-16.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-03-21 02:36:00 UTC
gd-2.0.35-14.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-03-21 02:40:57 UTC
gd-2.0.35-14.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.